#include "fcts.h"

int main(int argc, char **argv) {
  int nRNG, nCuts;
  std::ofstream rescsv;
  rescsv.open("values_res/gvg_res.csv");
  if(argc <2){
    printf("Please give the number of random generated number \n");
    return -1;
  }
  nRNG = atoi(argv[1]);
  if(argc <3){
      nCuts = 10;
  }
  else
    nCuts = atoi(argv[2]);
  double U0, U1;
  double Y[2];

  int freqs[nCuts];
  for(int i=0; i < nCuts; i ++)
     freqs[i] = 0;

  for (int i = 0; i < nRNG; i++){
    U0 = uniform()/(double)0x7FFFFFFF;
    U1 = uniform()/(double)0x7FFFFFFF;
    gaussian(U0, U1, Y);
    printf("%lf, %lf\n", Y[0], Y[1]);
  }
  store_res_double(Y)
  rescsv.close();
  return 0;
}
